const Logs = require("../infra/repository/logs.repository");
const logs = new Logs();

class logsController {
 


    register() {
        return function (req, res) {
            const  data  = req.body;

            logs.register(data).then((response) => {
                if (response.error) return res.status(response.code).send({ error: response.error });
                else return res.status(200).json(response);
            }).catch((error) => {
                return res.status(400).send({ error: `Não foi possível realizar o cadastro!` });
            });
        };
    }

   
 
     list() {
        return function (req, res) {
            const { id } = req.params;
            

            logs.list(id).then((response) => {
                if (response.error) res.status(response.code).send({ error: response.error });
                else return res.status(200).send(response);
            }).catch((error) => {
                throw new Error(error);
            });
        }
    }


    listlogsByUser() {
        return function (req, res) {
            const id_user  = req.query.id_user;
            

            logs.listlogsByUser(id_user).then((response) => {
                if (response.error) res.status(response.code).send({ error: response.error });
                else return res.status(200).send(response);
            }).catch((error) => {
                throw new Error(error);
            });
        }
    }


    delete() {
        return function (req, res) {
            const { id } = req.params;
            
            logs.delete(id).then((response) => {
                if (response.error) res.status(response.code).send(response);
                else return res.status(200).send(response);
            }).catch((error) => {
                throw new Error(error);
            });
        }
    }


    update() {
        return function (req, res) {
            const  data  = req.body;
            
            logs.update(data).then((response) => {
                if (response.error) res.status(400).send(response);
                else return res.status(200).send(response);
            }).catch((error) => {
                throw new Error(error);
            });
        }
    }

}

module.exports = logsController;