const express = require('express');
const routes = express.Router();
const auth = require('../config/auth/auth');


const UsersController = require("../controller/usuarios.controller");
const usersController = new UsersController();

const PedidosController = require("../controller/pedidos.controller");
const pedidosController = new PedidosController();

const ProdutosController = require("../controller/produtos.controller");
const produtosController = new ProdutosController();

const ProdutosDiponiveisController = require("../controller/produtos.disponiveis.controller");
const produtosDiponiveisController = new ProdutosDiponiveisController();

const PrecosController = require('../controller/precos.controller');
const precosController = new PrecosController();


// routes.get("/tabela", precosController.listPrecoPorUserId());
routes.get("/tabela", precosController.listPrecosByUserTipo());

routes.post("/pedido",  pedidosController.register());
routes.get("/pedido",  pedidosController.list());
routes.get("/pedido/:id", pedidosController.list());
routes.delete("/pedido/:id", pedidosController.deletePedidoByUserId());
routes.get("/pedidosConcluidos",  pedidosController.listPedidosConcluidos());
routes.get("/pedidosPendentes",  pedidosController.listPedidosPendentes());
routes.delete("/deletarItem",  pedidosController.deleteProdutoDoPedido());
routes.patch("/quantidadeProduto", pedidosController.updateQuantidade());
routes.patch("/concluirPedido", pedidosController.concluirPedido());
routes.get("/pedidosFeitos", pedidosController.listPedidosFeitos());
routes.get("/testeFotos/:id", produtosController.testeFotos());
// routes.get("/qtdeProdutos", pedidosController.listQtdeTotalProdutos());


routes.get("/produtosCategoria",  produtosController.listProdutosSimples());
routes.get("/produtosLinha",  produtosController.listProdutosCompletos());
routes.get("/produtoDeslogado",  produtosController.listProdutosDeslogados());

routes.post("/produto",  produtosController.register());
routes.delete("/produto/:id", produtosController.delete());

routes.get("/produtosDecontosByUser", produtosController.listProdutosDescontosByUser());
routes.get("/produtosByUserTipo", produtosController.listProdutosByUserTipo());
routes.get("/produtosByUserTipo2", produtosController.listProdutosByUserTipo2());
routes.get("/produtosTopAs", produtosController.listProdutosTopAs());
routes.get("/produtosDistribuidores", produtosController.listProdutosDistribuidor());
routes.get("/tabelaPreco", produtosController.listTabelaDePrecoUser());


routes.get("/produtosByUserId", produtosController.listProdutosByUserId());


routes.post("/vincularProdutoUser",  produtosDiponiveisController.vincularProdutoUser());
routes.get("/produtosVinculados", produtosDiponiveisController.listProdutoDisponiveisByUser())


routes.get("/vendedor", usersController.listVendedorPorUserId())
routes.get("/ids", usersController.listUserIds())
routes.post("/register",  usersController.register());
routes.patch("/perfil",usersController.update())
routes.get("/perfil", usersController.list());
routes.get("/info", usersController.listUserInfo())
routes.patch("/recover", usersController.recover())
routes.patch("/trocaSenha", usersController.changePassword())


module.exports = routes;
