const { encrypt, decrypt, generateHash, checkHash } = require('../config/auth/cryptography');

module.exports = {
    /**
     * Criptografa os dados do usuario
     * @param {*} data dados do usuario
     * @returns os dados criptografados
     */
    async encryptDonor(data) {
        const cryptedDonor = {
            cpf: data.cpf,
            nome: data.nome,
            data_nasc: data.data_nasc ? await encrypt(data.data_nasc) : null,
            email: data.email ? await encrypt(data.email) : null,
            telefone: data.telefone ? await encrypt(data.telefone) : null,
            cep: data.cep ? await encrypt(data.cep) : null,
            endereco: data.endereco ? await encrypt(data.endereco) : null,
            senha: data.senha ? await generateHash(data.senha) : null,
        }
        return cryptedDonor
    },

    /**
     * Descriptografa os dados de um usuario
     * @param {*} data dados criptografados do usuario
     * @returns os dados descriptografados
     */
    async decryptDonor(data) {
        const decryptedDonor = {
            cpf: data.cpf,
            nome: data.nome,
            data_nasc: data.data_nasc ? await decrypt(data.data_nasc) : null,
            email: data.email ? await decrypt(data.email) : null,
            telefone: data.telefone ? await decrypt(data.telefone) : null,
            cep: data.cep ? await decrypt(data.cep) : null,
            endereco: data.endereco ? await decrypt(data.endereco) : null,
        }
        return decryptedDonor
    },
}